[Swift-commit] r5752 - SwiftApps/ParVis/HiRAMTools
wilde at ci.uchicago.edu
wilde at ci.uchicago.edu
Sat Apr 21 16:43:53 CDT 2012
Author: wilde
Date: 2012-04-21 16:43:53 -0500 (Sat, 21 Apr 2012)
New Revision: 5752
Modified:
SwiftApps/ParVis/HiRAMTools/makeyearly-cdo.sh
SwiftApps/ParVis/HiRAMTools/makeyearly_realization.sh
Log:
Adjust makeyearly scripts.
Modified: SwiftApps/ParVis/HiRAMTools/makeyearly-cdo.sh
===================================================================
--- SwiftApps/ParVis/HiRAMTools/makeyearly-cdo.sh 2012-04-21 14:53:10 UTC (rev 5751)
+++ SwiftApps/ParVis/HiRAMTools/makeyearly-cdo.sh 2012-04-21 21:43:53 UTC (rev 5752)
@@ -1,11 +1,17 @@
#! /bin/bash
-set -o errexit
-
# Create a fast (local-filesystem) working dir
-mkdir -p /scratch/wilde
-tmp=$(mktemp -d /scratch/wilde/makeyearly_XXXXXX)
+if mkdir -p /scratch/wilde; then
+ scratch=/scratch/wilde
+elif mkdir -p $HOME/scratch; then
+ scratch=$HOME/scratch
+else
+ echo $0: cant create scratch dir
+ exit 11
+fi
+
+tmp=$(mktemp -d $scratch/makeyearly_XXXXXX)
startdir=$PWD
cd $tmp
@@ -46,3 +52,5 @@
dd if=$qtrdec1 of=$destdir/$fname.nc bs=8M
fi
done
+
+rm -rf $tmp
Modified: SwiftApps/ParVis/HiRAMTools/makeyearly_realization.sh
===================================================================
--- SwiftApps/ParVis/HiRAMTools/makeyearly_realization.sh 2012-04-21 14:53:10 UTC (rev 5751)
+++ SwiftApps/ParVis/HiRAMTools/makeyearly_realization.sh 2012-04-21 21:43:53 UTC (rev 5752)
@@ -36,6 +36,7 @@
sitedir.keep=true
execution.retries=10
lazy.errors=true
+status.mode=provider
END
More information about the Swift-commit
mailing list